# Class PushMessage

java.lang.Object
com.codename1.push.PushMessage

public final class PushMessage extends Object
Immutable v3 push envelope used for both received messages and server payload construction.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `PushMessage.Builder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `SCHEMA_VERSION`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PushMessage.Builder`
  `builder()`
  `String`
  `getBody()`
  `String`
  `getCollapseKey()`
  `Map<String,Object>`
  `getData()`
  `String`
  `getDeepLink()`
  `String`
  `getId()`
  `String`
  `getImageUrl()`
  `Map<String,Object>`
  `getPlatformOptions()`
  `Map<String,Object>`
  `getSurface()`
  `String`
  `getTitle()`
  `static PushMessage`
  `parse(String json)`
  `String`
  `toJson()`
  `Map<String,Object>`
  `toMap()`

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SCHEMA_VERSION

    public static final int SCHEMA_VERSION
    See Also:
      - Constant Field Values

- ## Method Details

  - ### builder

    public static PushMessage.Builder builder()

  - ### parse

    public static PushMessage parse(String json) throws IOException
    Throws:
      `IOException`

  - ### getId

    public String getId()

  - ### getTitle

    public String getTitle()

  - ### getBody

    public String getBody()

  - ### getImageUrl

    public String getImageUrl()

  - ### getDeepLink

    public String getDeepLink()

  - ### getCollapseKey

    public String getCollapseKey()

  - ### getData

    public Map<String,Object> getData()

  - ### getSurface

    public Map<String,Object> getSurface()

  - ### getPlatformOptions

    public Map<String,Object> getPlatformOptions()

  - ### toMap

    public Map<String,Object> toMap()

  - ### toJson

    public String toJson()